Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Interface NavigableInstance

All Known Implementing Classes:
  BookInstance, PageInstance

public interface NavigableInstance

A Marker interface used to indicate that the implementation object can have a Navigation (Tab) component associated with it. By definition NavigableInstance components can be contained in a BookView.

Method Summary
`NavigableDefinition` | `getNavigableDefinition()` Returns a `NavigableDefinition` associated with this `NavigableInstance`.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns a `NavigableDefinitionId` for the `NavigableDefinition` associated with this `NavigableInstance`.
`NavigableInstanceId` | `getNavigableInstanceId()` Returns a `NavigableInstanceId` associated with this `NavigableInstance`.

Method Detail

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Returns a `NavigableDefinition` associated with this `NavigableInstance`. May return `NULL` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns:
    `NavigableDefinition`

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns a `NavigableDefinitionId` for the `NavigableDefinition` associated with this `NavigableInstance`. May return `NULL` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns:
    `NavigableDefinitionId`

### getNavigableInstanceId

    public NavigableInstanceId getNavigableInstanceId()

  Returns a `NavigableInstanceId` associated with this `NavigableInstance`. May return `NULL` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns:
    `NavigableInstanceId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved